## macromoleculebuilder 3.01+2.g6f0ab618+dfsg

=== CMakeLists.txt ===
# Create MMB build system using CMake.
#
# We check the BUILD_MMB_{SHARED,STATIC} variables to determine
# whether to build dynamically linked, statically linked, or both
# versions of the executable.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(MMB)

SET( MMB_MAJOR_VERSION 3 )
SET( MMB_MINOR_VERSION 01)
SET( MMB_PATCH_VERSION 0 )

SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "This is a Release build by default" )
#SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 
#SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 

#SET(Build_NtC            FALSE CACHE BOOL 
        #"Build NtC features of MMB. This greatly increases the size of the BiopolymerClassContainer object in memory")
SET(Build_CCP4           FALSE CACHE BOOL 
        "Build CCP4 maps support features for MMB?")
SET(BUILD_MMB_SHARED_LIB TRUE CACHE BOOL 
        "Build MMB dynamic library")
SET(BUILD_MMB_SHARED_EXEC TRUE CACHE BOOL 
        "Build MMB executable using shared libraries")
SET(BUILD_MMB_STATIC FALSE CACHE BOOL
        "Build MMB using static SimTK libraries.")
SET(BUILD_MMB_GUI_TEST FALSE CACHE BOOL
        "Build MMB_gui test program")
SET(SeqAn_INCLUDE_DIR "" CACHE PATH
        "Where to find Seqan headers")
SET(OpenMM_INCLUDE_DIR "" CACHE PATH
        "Where to find OpenMM main header")
#SET(OpenMM_INCLUDE_REFERENCE_DIR "" CACHE PATH
#        "Where to find OpenMM reference files")
#SET(OpenMM_INCLUDE_SUB_DIR "" CACHE PATH
#        "I don't know how to explain what this is except on my machine it's /usr/local/openmm/include/openmm")
SET(OpenMM_INSTALL_DIR "" CACHE PATH
        "OpenMM install directory. Used to find libs.")
#Add the OpenMM library
SET(LIBCCP4_INCLUDE_DIR "" CACHE PATH
        "Where to find libccp4 includes")
SET(LIBCCP4_LIB_DIR "" CACHE PATH
        "Where to find libccp4 library")

SET(OpenMM_SHARED_LIBS
        optimized OpenMM)

SET(OpenMM_SHARED_LIBS_D
        debug OpenMM_d)

SET(SimTK_SHARED_LIBS 
        optimized SimTKmolmodel 
        optimized SimTKsimbody 
        optimized SimTKmath
        optimized SimTKcommon
    )
SET(SimTK_SHARED_LIBS_D
        debug SimTKmolmodel_d 
        debug SimTKsimbody_d 
        debug SimTKmath_d
        debug SimTKcommon_d)

SET(SimTK_STATIC_LIBS 
        optimized SimTKmolmodel_static 
        optimized SimTKsimbody_static 
        optimized SimTKmath_static
        optimized SimTKcommon_static)
SET(SimTK_STATIC_LIBS_D
        debug SimTKmolmodel_static_d 
        debug SimTKsimbody_static_d 
        debug SimTKmath_static_d
        debug SimTKcommon_static_d)


# These extra libraries are only available as a shared, optimized.
IF(WIN32)
    SET(SimTK_GENERAL_LIBS SimTKlapack pthreadVC2 ws2_32)
ELSEIF(APPLE)
    SET(SimTK_GENERAL_LIBS lapack blas)
ELSE() #Linux
    SET(SimTK_GENERAL_LIBS lapack blas dl rt)
ENDIF()

#simbody
SET(SimTK_INSTALL_DIR $ENV{SimTK_INSTALL_DIR} CACHE PATH
    "Directory where SimTK simbody is installed, e.g. /usr/local/SimTK.")

IF(NOT SimTK_INSTALL_DIR)
    MESSAGE(FATAL_ERROR 
"Expected SimTK_INSTALL_DIR environment var to be set, or set SimTK in CMake")
ENDIF(NOT SimTK_INSTALL_DIR)

find_package(Simbody CONFIG REQUIRED HINTS "${SimTK_INSTALL_DIR}/lib/cmake")

#molmodel
SET(SimTKmolmodel ${SimTK_INSTALL_DIR} CACHE PATH
    "Directory where SimTK molmodel is installed, e.g. /usr/local/SimTK.")

IF(NOT SimTKmolmodel)
    MESSAGE(FATAL_ERROR 
"Expected SimTK_INSTALL_DIR environment var to be set, or set SimTKmolmodel in CMake")
ENDIF(NOT SimTKmolmodel)

# If we're building on a 64 bit Linux machine, look in the lib64 directory
# rather than just lib. (This might not be right on all Linux versions.)

# As of Ubuntu 12, 64 bit libraries are in lib, not lib64, so we are 
# not setting this on any platform now. If you are building on an
# older system you might have to set it manually.
SET(LIB64)
IF( UNIX AND NOT APPLE AND ${CMAKE_SIZEOF_VOID_P} EQUAL 8 )
    SET(LIB64 64) # LIB64 is just blank, in keeping with new molmodel practice
ENDIF()

# Make everything go in the same binary directory. (These are CMake-defined
# variables.)
SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

# for some reason it's not reading the ${OpenMM_INCLUDE_DIR}, so i hard coded the OpenMM directory: 
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/include ${Simbody_INCLUDE_DIR} ${SimTKmolmodel}/include ${OpenMM_INCLUDE_DIR} ${OpenMM_INCLUDE_DIR}/openmm ${OpenMM_INCLUDE_DIR}/openmm/reference ${SeqAn_INCLUDE_DIR}  )
LINK_DIRECTORIES(${Simbody_LIB_DIR}${LIB64} ${SimTKmolmodel}/lib ${CMAKE_BINARY_DIR} ${OpenMM_INSTALL_DIR}/lib   )

##################
### Add CCP4 Paths
##################
IF    ( Build_CCP4 )
	INCLUDE_DIRECTORIES ( ${LIBCCP4_INCLUDE_DIR} )
	LINK_DIRECTORIES    ( ${LIBCCP4_LIB_DIR}     )
	ADD_DEFINITIONS     ( -DCPP4_MAPS_USAGE )
ENDIF ( Build_CCP4 )

# On Mac, build 32 bit binaries.
IF(APPLE)
    SET(CMAKE_OSX_ARCHITECTURES "i386" CACHE STRING 
        "The processor architectures to build for")
ENDIF(APPLE)

# On Mac, use Xcode by default
IF(APPLE)
    SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode"  ) 
ELSEIF(UNIX)
    SET(CMAKE_GENERATOR "Unix Makefiles" CACHE STRING "Since you on Unix, we assume you want to use a Makefile" ) 
ENDIF()

# List source files explicitly here since there is junk in the src
# directory that we don't want to include here.
SET(MMB_LIBRARY_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/Utils.cpp  
    ${PROJECT_SOURCE_DIR}/src/BiopolymerClass.cpp  
    #//${PROJECT_SOURCE_DIR}/src/elliptic_integral.cpp
    ${PROJECT_SOURCE_DIR}/src/UnitCellParameters.cpp  
    #IF (Build_NtC)
        # SCF manually commented these 3  out. Once Peter fixes the issue with the 2D arrays in BiopolymerClassContainer, we can put them back in. Or have a build varaible to determine whether to build these:
        ${PROJECT_SOURCE_DIR}/src/NTC_PARAMETER_READER.cpp
        ${PROJECT_SOURCE_DIR}/src/NtCClassContainer.cpp
        ${PROJECT_SOURCE_DIR}/src/NtCForces.cpp
    #ENDIF(Build_NtC)
    # This should remain commented out:
    #${PROJECT_SOURCE_DIR}/src/NtCInteractionParameterReader.cpp 
    ${PROJECT_SOURCE_DIR}/src/AtomSpringContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/DisplacementContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/MobilizerContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/MoleculeContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/DensityContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/BasePairContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/ContactContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/ConstraintContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/Repel.cpp  
    ${PROJECT_SOURCE_DIR}/src/MonoAtoms.cpp  
    ${PROJECT_SOURCE_DIR}/src/ParameterReader.cpp  
    ${PROJECT_SOURCE_DIR}/src/BaseInteractionParameterReader.cpp  
    ${PROJECT_SOURCE_DIR}/src/TetherForce.cpp  
    ${PROJECT_SOURCE_DIR}/src/BiopolymerClassTwoTransformForces.cpp  
    ${PROJECT_SOURCE_DIR}/src/WaterDroplet.cpp  
    ${PROJECT_SOURCE_DIR}/src/DensityMap.cpp  
    ${PROJECT_SOURCE_DIR}/src/DensityForce.cpp
    ${PROJECT_SOURCE_DIR}/src/ElectrostaticPotentialGridForce.cpp
    ${PROJECT_SOURCE_DIR}/src/MoleculeContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/ErrorManager.cpp 
    ${PROJECT_SOURCE_DIR}/src/PeriodicPdbAndEnergyWriter.cpp
    )

SET(MMB_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/RNABuilder.cpp  )

SET(MMB_GUI_TEST_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/GUI_test.cpp  )

SET(MMB_PYTHON_WRAPPER_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/python_wrapper.cpp)

# We'll just collect all the .h files from the include directory -- some
# might be junk but it doesn't matter since they won't actually get
# included.
FILE(GLOB MMB_HEADER_FILES "${PROJECT_SOURCE_DIR}/include/*.h")

SET(SHARED_MMB_TARGET MMBlib)
SET(STATIC_MMB_TARGET MMBlib_static)

SET(SHARED_MMB_PYTHON_WRAPPER_TARGET MMB_Python_wrapper)


# Ensure that debug libraries have "_d" appended to their names.
# CMake gets this right on Windows automatically with this definition.
IF (${CMAKE_GENERATOR} MATCHES "Visual Studio")
    SET(CMAKE_DEBUG_POSTFIX "_d" CACHE INTERNAL "" FORCE)
ENDIF (${CMAKE_GENERATOR} MATCHES "Visual Studio")

IF (UNIX AND CMAKE_BUILD_TYPE MATCHES Debug)
    SET(SHARED_MMB_TARGET ${SHARED_MMB_TARGET}_d)
    SET(STATIC_MMB_TARGET ${STATIC_MMB_TARGET}_d)
ENDIF (UNIX AND CMAKE_BUILD_TYPE MATCHES Debug)

IF (BUILD_MMB_SHARED_LIB)
    # Create shared library for most of MMB
    ADD_LIBRARY(${SHARED_MMB_TARGET} SHARED
        ${MMB_LIBRARY_SOURCE_FILES}
        ${MMB_HEADER_FILES})
    SET_TARGET_PROPERTIES(${SHARED_MMB_TARGET} 
        PROPERTIES
        COMPILE_FLAGS "-DMMB_BUILDING_SHARED_LIBRARY"
        PROJECT_LABEL "MMBlib (dynamic)"
        SOVERSION "${MMB_MAJOR_VERSION}.${MMB_MINOR_VERSION}")
    TARGET_LINK_LIBRARIES(${SHARED_MMB_TARGET}
              ${SimTK_SHARED_LIBS_D}
              ${SimTK_SHARED_LIBS}
              ${OpenMM_SHARED_LIBS_D}
              ${OpenMM_SHARED_LIBS}
              ${SimTK_GENERAL_LIBS})
    #################
	### Add CCP4 Libs
	#################
	IF    ( Build_CCP4 )
		TARGET_LINK_LIBRARIES ( ${SHARED_MMB_TARGET} ccp4c )
	ENDIF ( Build_CCP4 )

    # Install files
    INSTALL(TARGETS ${SHARED_MMB_TARGET}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
        RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
    )
    set (CMAKE_VERBOSE_MAKEFILE on)


#IF(WIN32)
#    SET( ws2_32)
#ELSEIF(APPLE)
#    SET(LIB_SUFFIX ".dylib")
#ELSE() #Linux
#    SET(LIB_SUFFIX ".so")
#ENDIF()
    #MESSAGE(${LIB64})
    #MESSAGE(${SimTK_INSTALL_DIR}/lib${LIB64}/${CMAKE_SHARED_LIBRARY_PREFIX}*${CMAKE_SHARED_LIBRARY_SUFFIX})
    FILE(GLOB SimTK_INSTALL_DIR_FILES  "${SimTK_INSTALL_DIR}/lib${LIB64}/${CMAKE_SHARED_LIBRARY_PREFIX}*${CMAKE_SHARED_LIBRARY_SUFFIX}") 
    FILE(GLOB Molmodel_INSTALL_DIR_FILES  "${SimTKmolmodel}/lib/${CMAKE_SHARED_LIBRARY_PREFIX}*${CMAKE_SHARED_LIBRARY_SUFFIX}") 
    FILE(GLOB CMAKE_BINARY_DIR_FILES  "${CMAKE_BINARY_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}*${CMAKE_SHARED_LIBRARY_SUFFIX}") 
    FILE(GLOB OpenMM_INSTALL_DIR_FILES  "${OpenMM_INSTALL_DIR}/lib/${CMAKE_SHARED_LIBRARY_PREFIX}*${CMAKE_SHARED_LIBRARY_SUFFIX}") 
    #MESSAGE(${SimTK_INSTALL_DIR_FILES})
    INSTALL(FILES   ${SimTK_INSTALL_DIR_FILES}               
        ${Molmodel_INSTALL_DIR_FILES}
        ${CMAKE_BINARY_DIR_FILES}
        ${OpenMM_INSTALL_DIR_FILES}
	DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
    )

    foreach (file IN LISTS ${SimTK_SHARED_LIBS})
            #MESSAGE("My file variable is "${file})
	    #INSTALL(FILES   ${SimTK_INSTALL_DIR}/lib${file}.so               
	    #	DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
	    #)
    endforeach (file)
    # This is recursively copying entire ${Simbody_LIB_DIR}${LIB64} ! not optimal. Try using files with e.g. $<TARGET_FILE_NAME:tgt> http://www.cmake.org/cmake/help/v3.0/manual/cmake-generator-expressions.7.html#manual:cmake-generator-expressions(7)
    # ideally also only get release libs
    #INSTALL(DIRECTORY ${Simbody_LIB_DIR}${LIB64}/ 
    #    ${SimTKmolmodel}/lib${LIB64} 
    #    ${CMAKE_BINARY_DIR} 
    #    ${OpenMM_INSTALL_DIR}/lib 
    #    DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
    #)


    #FILE(GLOB MMB_HEADER_FILES "${PROJECT_SOURCE_DIR}/include/*.h")
    #FILE (GLOB SimTK_LIB_GLOB  "${SimTKmolmodel}/lib${LIB64}/*")
    #INSTALL (FILES ${SimTK_LIB_GLOB} 
    #     DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
    #)
#SimTK_SHARED_LIBS
    #INSTALL(TARGETS ${SimTK_SHARED_LIBS}
	#LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib) 
    #foreach(file ${Simbody_LIB_DIR}${LIB64}/lib${SimTK_SHARED_LIBS})
    #    install (FILES ${file} DESTINATION ${CMAKE_INSTALL_PREFIX})
    #endforeach()
    
#LINK_DIRECTORIES(${Simbody_LIB_DIR}${LIB64} ${SimTKmolmodel}/lib${LIB64} ${CMAKE_BINARY_DIR} ${OpenMM_INSTALL_DIR}/lib   )

ENDIF (BUILD_MMB_SHARED_LIB)

IF (BUILD_MMB_SHARED_EXEC)
    # Link with shared (dynamic) library

=== debian/changelog ===
macromoleculebuilder (3.01+2.g6f0ab618+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #962162)

 -- Andrius Merkys <merkys@debian.org>  Thu, 18 Jun 2020 06:19:43 -0400

=== debian/control ===
Source: macromoleculebuilder
Priority: optional
Section: science
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 asciidoc-base,
 cmake,
 debhelper-compat (= 12),
 libopenmm-dev,
 libseqan2-dev,
 libsimbody-dev,
 libsimtkmolmodel-dev,
Standards-Version: 4.5.0
Homepage: https://simtk.org/projects/rnatoolbox
Vcs-Browser: https://salsa.debian.org/debichem-team/macromoleculebuilder
Vcs-Git: https://salsa.debian.org/debichem-team/macromoleculebuilder.git
Rules-Requires-Root: no

Package: libmmblib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmmblib3.01 (= ${binary:Version}),
 ${misc:Depends},
Description: development files of MacroMoleculeBuilder
 MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
 homology modeling, folding (e.g. using base pairing contacts), redesigning
 complexes, fitting to low-resolution density maps, predicting local
 rearrangements upon mutation, and many other applications.
 .
 This package contains the development files.

Package: libmmblib3.01
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: shared library of MacroMoleculeBuilder
 MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
 homology modeling, folding (e.g. using base pairing contacts), redesigning
 complexes, fitting to low-resolution density maps, predicting local
 rearrangements upon mutation, and many other applications.
 .
 This package contains the shared library.

Package: mmb
Architecture: any
Depends:
 mmb-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: model the structure and dynamics of macromolecules
 MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
 homology modeling, folding (e.g. using base pairing contacts), redesigning
 complexes, fitting to low-resolution density maps, predicting local
 rearrangements upon mutation, and many other applications.

Package: mmb-common
Architecture: all
Depends:
 ${misc:Depends},
Description: model the structure and dynamics of macromolecules (common files)
 MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
 homology modeling, folding (e.g. using base pairing contacts), redesigning
 complexes, fitting to low-resolution density maps, predicting local
 rearrangements upon mutation, and many other applications.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

# Optimization causes segmentation faults, thus turning it off.
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -O0

export SimTK_INSTALL_DIR = /usr

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DOpenMM_INCLUDE_DIR=/usr/include \
		-DCMAKE_CXX_FLAGS="-D BuildNtC -D USE_OPENMM $(CXXFLAGS)"

override_dh_install:
	dh_install
	dh_install -plibmmblib3.01 debian/tmp/usr/lib/libMMBlib.so.* usr/lib/${DEB_HOST_MULTIARCH}
	dh_install -plibmmblib-dev debian/tmp/usr/lib/libMMBlib.so   usr/lib/${DEB_HOST_MULTIARCH}

override_dh_installman:
	a2x -d manpage -f manpage -D debian/tmp debian/MMB.1.asciidoc
	dh_installman

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=describe,repack,repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/^v(\d+\.\d+)\./$1+/" \
 https://github.com/samuelflores/MMB HEAD

## macromoleculebuilder 3.2%2Bdfsg

=== debian/changelog ===
macromoleculebuilder (3.2+dfsg-2+deb11u1) bullseye; urgency=medium

  * Build depends on docbook-xsl (Closes: #1027828)

 -- Andrius Merkys <merkys@debian.org>  Wed, 04 Jan 2023 07:13:05 -0500

macromoleculebuilder (3.2+dfsg-2) unstable; urgency=medium

  * Adding missing build dependency on docbook-xml.
  * Removing prebuilt files from parameterization/build/ before build.
  * Overriding source-contains-cmake-cache-file lintian tag for now.

 -- Andrius Merkys <merkys@debian.org>  Wed, 16 Dec 2020 08:42:34 -0500

macromoleculebuilder (3.2+dfsg-1) unstable; urgency=medium

  * New upstream release 3.2+dfsg

 -- Andrius Merkys <merkys@debian.org>  Thu, 23 Jul 2020 08:54:12 -0400

## macromoleculebuilder 3.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,15 @@
 PROJECT(MMB)
 
 SET( MMB_MAJOR_VERSION 3 )
-SET( MMB_MINOR_VERSION 01)
+SET( MMB_MINOR_VERSION 2 )
 SET( MMB_PATCH_VERSION 0 )
 
 SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "This is a Release build by default" )
 #SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 
 #SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 
 
-#SET(Build_NtC            FALSE CACHE BOOL 
-        #"Build NtC features of MMB. This greatly increases the size of the BiopolymerClassContainer object in memory")
+SET(Build_NtC            TRUE  CACHE BOOL 
+        "Build NtC features of MMB. This greatly increases the size of the BiopolymerClassContainer object in memory")
 SET(Build_CCP4           FALSE CACHE BOOL 
         "Build CCP4 maps support features for MMB?")
 SET(BUILD_MMB_SHARED_LIB TRUE CACHE BOOL 
@@ -152,12 +152,6 @@
     ${PROJECT_SOURCE_DIR}/src/BiopolymerClass.cpp  
     #//${PROJECT_SOURCE_DIR}/src/elliptic_integral.cpp
     ${PROJECT_SOURCE_DIR}/src/UnitCellParameters.cpp  
-    #IF (Build_NtC)
-        # SCF manually commented these 3  out. Once Peter fixes the issue with the 2D arrays in BiopolymerClassContainer, we can put them back in. Or have a build varaible to determine whether to build these:
-        ${PROJECT_SOURCE_DIR}/src/NTC_PARAMETER_READER.cpp
-        ${PROJECT_SOURCE_DIR}/src/NtCClassContainer.cpp
-        ${PROJECT_SOURCE_DIR}/src/NtCForces.cpp
-    #ENDIF(Build_NtC)
     # This should remain commented out:
     #${PROJECT_SOURCE_DIR}/src/NtCInteractionParameterReader.cpp 
     ${PROJECT_SOURCE_DIR}/src/AtomSpringContainer.cpp  
@@ -183,6 +177,16 @@
     ${PROJECT_SOURCE_DIR}/src/PeriodicPdbAndEnergyWriter.cpp
     )
 
+IF (Build_NtC)
+    SET(MMB_LIBRARY_SOURCE_FILES
+        ${MMB_LIBRARY_SOURCE_FILES}
+        # SCF manually commented these 3  out. Once Peter fixes the issue with the 2D arrays in BiopolymerClassContainer, we can put them back in. Or have a build varaible to determine whether to build these:
+        ${PROJECT_SOURCE_DIR}/src/NTC_PARAMETER_READER.cpp
+        ${PROJECT_SOURCE_DIR}/src/NtCClassContainer.cpp
+        ${PROJECT_SOURCE_DIR}/src/NtCForces.cpp
+        )
+ENDIF(Build_NtC)
+
 SET(MMB_SOURCE_FILES
     ${PROJECT_SOURCE_DIR}/src/RNABuilder.cpp  )
 
@@ -298,5 +302,3 @@
 
 ENDIF (BUILD_MMB_SHARED_LIB)
 
-IF (BUILD_MMB_SHARED_EXEC)
-    # Link with shared (dynamic) library

=== parameterization/build/Makefile ===
generate-base-pair-transform.o : ../src/generate-base-pair-transform.cpp
	g++ -o generate-base-pair-transform.o -c ../src/generate-base-pair-transform.cpp  -I/usr/local/SimTK/include/molmodel/internal  -I/usr/local/SimTK/include -I/usr/local/SimTK/include/simbody/  -I/usr/include/c++/4.2.1  
#-arch x86_64 
#-arch was i386

generate-base-pair-transform : generate-base-pair-transform.o
	g++ -o generate-base-pair-transform  generate-base-pair-transform.o  -I/usr/local/SimTK/include/SimTKcommon/internal  -I/usr/local/SimTK/include/molmodel/internal   -I/usr/local/SimTK/include -L/usr/local/SimTK/lib  -lSimTKcommon -lSimTKmolmodel -lSimTKsimbody -lSimTKmath -llapack -lblas -arch x86_64
#-arch x86_64
#-02 -liostream -lfstream -lstdlib -lstring -I

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
  asciidoc-base,
  cmake,
  debhelper-compat (= 12),
+ docbook-xml,
+ docbook-xsl,
  libopenmm-dev,
  libseqan2-dev,
  libsimbody-dev,
@@ -23,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmmblib3.01 (= ${binary:Version}),
+ libmmblib3.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files of MacroMoleculeBuilder
  MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
@@ -33,7 +35,7 @@
  .
  This package contains the development files.
 
-Package: libmmblib3.01
+Package: libmmblib3.2
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,14 @@
 	dh $@
 
 override_dh_auto_configure:
+	rm -rf parameterization/build
 	dh_auto_configure -- \
 		-DOpenMM_INCLUDE_DIR=/usr/include \
 		-DCMAKE_CXX_FLAGS="-D BuildNtC -D USE_OPENMM $(CXXFLAGS)"
 
 override_dh_install:
 	dh_install
-	dh_install -plibmmblib3.01 debian/tmp/usr/lib/libMMBlib.so.* usr/lib/${DEB_HOST_MULTIARCH}
+	dh_install -plibmmblib3.2  debian/tmp/usr/lib/libMMBlib.so.* usr/lib/${DEB_HOST_MULTIARCH}
 	dh_install -plibmmblib-dev debian/tmp/usr/lib/libMMBlib.so   usr/lib/${DEB_HOST_MULTIARCH}
 
 override_dh_installman:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%macromoleculebuilder-$1.tar.gz%,repack,repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/samuelflores/MMB/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## macromoleculebuilder 3.5+dfsg

=== CMakeLists.txt ===
# Create MMB build system using CMake.
#
# We check the BUILD_MMB_{SHARED,STATIC} variables to determine
# whether to build dynamically linked, statically linked, or both
# versions of the executable.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(MMB LANGUAGES CXX)

SET(CMAKE_CXX_STANDARD 14)
SET(CMAKE_CXX_EXTENSIONS OFF)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)

SET( MMB_MAJOR_VERSION 3 )
SET( MMB_MINOR_VERSION 5 )
SET( MMB_PATCH_VERSION 0 )

OPTION(DISP_OPENMM_MSGS "Display OpenMM pragma messages" OFF)

SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "This is a Release build by default" )
#SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 
#SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 

SET(Build_NtC            TRUE  CACHE BOOL 
        "Build NtC features of MMB. This greatly increases the size of the BiopolymerClassContainer object in memory")
SET(Build_Lepton         TRUE  CACHE BOOL 
	"Build SimTK Lepton math parser?           ")
SET(BUILD_MMB_SHARED_LIB TRUE CACHE BOOL 
        "Build MMB dynamic library")
SET(BUILD_MMB_SHARED_EXEC TRUE CACHE BOOL 
        "Build MMB executable using shared libraries")
SET(BUILD_MMB_STATIC FALSE CACHE BOOL
        "Build MMB using static SimTK libraries.")
SET(BUILD_MMB_GUI_TEST FALSE CACHE BOOL
        "Build MMB_gui test program")
SET(SeqAn_INCLUDE_DIR "" CACHE PATH
        "Where to find Seqan headers")
SET(OpenMM_INCLUDE_DIR "" CACHE PATH
        "Where to find OpenMM main header")
#SET(OpenMM_INCLUDE_REFERENCE_DIR "" CACHE PATH
#        "Where to find OpenMM reference files")
#SET(OpenMM_INCLUDE_SUB_DIR "" CACHE PATH
#        "I don't know how to explain what this is except on my machine it's /usr/local/openmm/include/openmm")
SET(OpenMM_INSTALL_DIR "" CACHE PATH
        "OpenMM install directory. Used to find libs.")
#Add the OpenMM library
SET(Lepton_INCLUDE_DIR "/3rdparty/Lepton1.3/include/" CACHE PATH
	"Where to find Lepton includes")
#Add the Gemmi library path
SET(GEMMI_INCLUDE_DIR "" CACHE PATH
        "Where to find Gemmi includes")
SET(USE_VERSIONED_LIBRARIES FALSE CACHE BOOL
    "Link against versioned Simbody and molmodel")

IF(USE_VERSIONED_LIBRARIES)
    SET(molmodel_VERSION "" CACHE STRING "molmodel major.minor version")
ENDIF()

IF(WIN32)
    SET(zlib_INSTALL_DIR "" CACHE PATH
	    "Where to find zlib files")
ENDIF()

#simbody
SET(SimTK_INSTALL_DIR $ENV{SimTK_INSTALL_DIR} CACHE PATH
    "Directory where SimTK simbody is installed, e.g. /usr/local/SimTK.")

IF(NOT SimTK_INSTALL_DIR)
    MESSAGE(FATAL_ERROR "Expected SimTK_INSTALL_DIR environment var to be set, or set SimTK in CMake")
ENDIF(NOT SimTK_INSTALL_DIR)

find_package(Simbody CONFIG REQUIRED HINTS "${SimTK_INSTALL_DIR}/lib/cmake")

IF(USE_VERSIONED_LIBRARIES)
    IF(molmodel_VERSION STREQUAL "")
	    MESSAGE(FATAL_ERROR "molmodel_VERSION is not set")
    ENDIF()

    SET(molmodel_VERTAG "_${molmodel_VERSION}")
    SET(Simbody_VERTAG "_${Simbody_VERSION}")
ENDIF()

IF(WIN32)
    SET(ZLIB_LIB_SHARED zdll)
	SET(ZLIB_LIB_STATIC zlib)
ELSE()
    SET(ZLIB_LIB_SHARED z)
	SET(ZLIB_LIB_STATIC z)
ENDIF()

IF(CMAKE_BUILD_TYPE MATCHES Release)
    SET(OpenMM_SHARED_LIBS
        PRIVATE optimized OpenMM
    )
    SET(OpenMM_STATIC_LIBS
        PRIVATE optimized OpenMM_static
    )
    SET(SimTK_SHARED_LIBS
        PRIVATE optimized SimTKmolmodel${molmodel_VERTAG}
        PRIVATE optimized SimTKsimbody${Simbody_VERTAG}
        PRIVATE optimized SimTKmath${Simbody_VERTAG}
        PRIVATE optimized SimTKcommon${Simbody_VERTAG}
    )
    SET(SimTK_STATIC_LIBS
        PRIVATE optimized SimTKmolmodel_static${molmodel_VERTAG}
        PRIVATE optimized SimTKsimbody_static${Simbody_VERTAG}
        PRIVATE optimized SimTKmath_static${Simbody_VERTAG}
        PRIVATE optimized SimTKcommon_static${Simbody_VERTAG}
    )
ELSEIF(CMAKE_BUILD_TYPE MATCHES Debug)
    SET(OpenMM_SHARED_LIBS
        PRIVATE debug OpenMM
    )
    SET(OpenMM_STATIC_LIBS
        PRIVATE debug OpenMM_static
    )
    SET(SimTK_SHARED_LIBS
        PRIVATE debug SimTKmolmodel_d${molmodel_VERTAG}
        PRIVATE debug SimTKsimbody_d${Simbody_VERTAG}
        PRIVATE debug SimTKmath_d${Simbody_VERTAG}
        PRIVATE debug SimTKcommon_d${Simbody_VERTAG}
    )
    SET(SimTK_STATIC_LIBS
        PRIVATE debug SimTKmolmodel_static_d${molmodel_VERTAG}
        PRIVATE debug SimTKsimbody_static_d${Simbody_VERTAG}
        PRIVATE debug SimTKmath_static_d${Simbody_VERTAG}
        PRIVATE debug SimTKcommon_static_d${Simbody_VERTAG}
    )
ELSE()
    message(FATAL_ERROR "Unknown build mode")
ENDIF()

# These extra libraries are only available as a shared, optimized.
IF(WIN32)
    SET(SimTK_GENERAL_LIBS)
ELSEIF(APPLE)
    SET(SimTK_GENERAL_LIBS lapack blas)
ELSE() #Linux
    SET(SimTK_GENERAL_LIBS lapack blas dl rt)
ENDIF()

#molmodel
SET(SimTKmolmodel ${molmodel_INSTALL_DIR} CACHE PATH
    "Directory where SimTK molmodel is installed, e.g. /usr/local/SimTK.")

IF(NOT SimTKmolmodel)
    MESSAGE(FATAL_ERROR "Expected SimTK_INSTALL_DIR environment var to be set, or set SimTKmolmodel in CMake")
ENDIF(NOT SimTKmolmodel)

# If we're building on a 64 bit Linux machine, look in the lib64 directory
# rather than just lib. (This might not be right on all Linux versions.)

# As of Ubuntu 12, 64 bit libraries are in lib, not lib64, so we are 
# not setting this on any platform now. If you are building on an
# older system you might have to set it manually.
SET(LIB64)
IF( UNIX AND NOT APPLE AND ${CMAKE_SIZEOF_VOID_P} EQUAL 8 )
    #SET(LIB64 64) # LIB64 is just blank, in keeping with new molmodel practice
ENDIF()

IF(WIN32)
    ADD_DEFINITIONS(-DNOMINMAX -D_USE_MATH_DEFINES -DWIN32_LEAN_AND_MEAN -D_WIN32_WINNT=0x0501)

    IF(MSVC)
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj /MP")
    ENDIF()
ELSEIF(UNIX)
    IF(${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU" OR
       ${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
    ENDIF()
ENDIF()

# Make everything go in the same binary directory. (These are CMake-defined
# variables.)
SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

# for some reason it's not reading the ${OpenMM_INCLUDE_DIR}, so i hard coded the OpenMM directory: 
INCLUDE_DIRECTORIES(
    SYSTEM ${PROJECT_SOURCE_DIR}/include
	${Simbody_INCLUDE_DIR} ${SimTKmolmodel}/include
	${OpenMM_INCLUDE_DIR} ${OpenMM_INCLUDE_DIR}/openmm
	${OpenMM_INCLUDE_DIR}/openmm/reference
	${SeqAn_INCLUDE_DIR}/include
	${GEMMI_INCLUDE_DIR})
LINK_DIRECTORIES(${Simbody_LIB_DIR}${LIB64} ${SimTKmolmodel}/lib ${CMAKE_BINARY_DIR} ${OpenMM_INSTALL_DIR}/lib   )

IF(WIN32)
    IF (zlib_INSTALL_DIR STREQUAL "")
        MESSAGE(FATAL_ERROR "Path to zlib is not set")
    ENDIF()

    INCLUDE_DIRECTORIES(${zlib_INSTALL_DIR}/include)
    LINK_DIRECTORIES(${zlib_INSTALL_DIR}/lib)
ENDIF()

##################
### Add Lepton Paths
##################
IF    ( Build_Lepton )
    INCLUDE_DIRECTORIES ( SYSTEM ${Lepton_INCLUDE_DIR} )
	#LINK_DIRECTORIES    ( ${Lepton_LIB_DIR}     )
	ADD_DEFINITIONS     ( -DLepton_USAGE -DLEPTON_BUILDING_STATIC_LIBRARY )
ENDIF ( Build_Lepton )

# On Mac, build 32 bit binaries.
IF(APPLE)
    SET(CMAKE_OSX_ARCHITECTURES "i386" CACHE STRING 
        "The processor architectures to build for")
ENDIF(APPLE)

ADD_DEFINITIONS("-DUSE_OPENMM")
IF(DISP_OPENMM_MSGS)
    ADD_DEFINITIONS("-DWARN_OPENMM_REALVEC -DWARN_USE_OPENMM")
ENDIF(DISP_OPENMM_MSGS)

# On Mac, use Xcode by default
IF(APPLE)
    SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode"  ) 
ELSEIF(UNIX)
    SET(CMAKE_GENERATOR "Unix Makefiles" CACHE STRING "Since you on Unix, we assume you want to use a Makefile" ) 
ENDIF()

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 9.0.0)
        ADD_DEFINITIONS("-DUSE_MMB_CONSTEXPR")
    endif ()
elseif (${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 3.4)
        ADD_DEFINITIONS("-DUSE_MMB_CONSTEXPR")
    endif ()
endif ()

# List source files explicitly here since there is junk in the src
# directory that we don't want to include here.
SET(MMB_LIBRARY_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/Utils.cpp  
    ${PROJECT_SOURCE_DIR}/src/BiopolymerClass.cpp  
    #//${PROJECT_SOURCE_DIR}/src/elliptic_integral.cpp
    ${PROJECT_SOURCE_DIR}/src/UnitCellParameters.cpp  
    # This should remain commented out:
    #${PROJECT_SOURCE_DIR}/src/NtCInteractionParameterReader.cpp 
    ${PROJECT_SOURCE_DIR}/src/AtomSpringContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/DisplacementContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/MobilizerContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/MoleculeContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/DensityContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/BasePairContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/ContactContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/ConstraintContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/Repel.cpp  
    ${PROJECT_SOURCE_DIR}/src/MonoAtoms.cpp  
    ${PROJECT_SOURCE_DIR}/src/Spiral.cpp  
    ${PROJECT_SOURCE_DIR}/src/ParameterReader.cpp  
    ${PROJECT_SOURCE_DIR}/src/BaseInteractionParameterReader.cpp  
    ${PROJECT_SOURCE_DIR}/src/TetherForce.cpp  
    ${PROJECT_SOURCE_DIR}/src/BiopolymerClassTwoTransformForces.cpp  
    ${PROJECT_SOURCE_DIR}/src/WaterDroplet.cpp  
    ${PROJECT_SOURCE_DIR}/src/DensityMap.cpp  
    ${PROJECT_SOURCE_DIR}/src/DensityForce.cpp
    ${PROJECT_SOURCE_DIR}/src/ElectrostaticPotentialGridForce.cpp
    ${PROJECT_SOURCE_DIR}/src/MoleculeContainer.cpp  
    ${PROJECT_SOURCE_DIR}/src/MMBLogger.cpp
    ${PROJECT_SOURCE_DIR}/src/PeriodicPdbAndEnergyWriter.cpp
    ${PROJECT_SOURCE_DIR}/src/CifOutput.cpp
    ${PROJECT_SOURCE_DIR}/src/ProgressWriter.cpp
    )

IF (Build_NtC)
    SET(MMB_LIBRARY_SOURCE_FILES
        ${MMB_LIBRARY_SOURCE_FILES}
        # SCF manually commented these 3  out. Once Peter fixes the issue with the 2D arrays in BiopolymerClassContainer, we can put them back in. Or have a build varaible to determine whether to build these:
        ${PROJECT_SOURCE_DIR}/src/NTC_PARAMETER_READER.cpp
        ${PROJECT_SOURCE_DIR}/src/NtCClassContainer.cpp
        ${PROJECT_SOURCE_DIR}/src/NtCForces.cpp
        )
    ADD_DEFINITIONS("-DBuildNtC")
ENDIF(Build_NtC)
# If Build_Lepton
IF (Build_Lepton)
    SET(MMB_LIBRARY_SOURCE_FILES
        ${MMB_LIBRARY_SOURCE_FILES}
        # SCF manually commented these 3  out. Once Peter fixes the issue with the 2D arrays in BiopolymerClassContainer, we can put them back in. Or have a build varaible to determine whether to build these:
	${PROJECT_SOURCE_DIR}/3rdparty/Lepton1.3/src/CompiledExpression.cpp
        ${PROJECT_SOURCE_DIR}/3rdparty/Lepton1.3/src/ExpressionProgram.cpp
        ${PROJECT_SOURCE_DIR}/3rdparty/Lepton1.3/src/ExpressionTreeNode.cpp
        ${PROJECT_SOURCE_DIR}/3rdparty/Lepton1.3/src/Operation.cpp            
        ${PROJECT_SOURCE_DIR}/3rdparty/Lepton1.3/src/ParsedExpression.cpp   
	${PROJECT_SOURCE_DIR}/3rdparty/Lepton1.3/src/Parser.cpp                 
        )
ENDIF(Build_Lepton)

SET(MMB_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/RNABuilder.cpp  )

SET(MMB_GUI_TEST_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/GUI_test.cpp  )

SET(MMB_PYTHON_WRAPPER_SOURCE_FILES
    ${PROJECT_SOURCE_DIR}/src/python_wrapper.cpp)

# We'll just collect all the .h files from the include directory -- some
# might be junk but it doesn't matter since they won't actually get
# included.
FILE(GLOB MMB_HEADER_FILES "${PROJECT_SOURCE_DIR}/include/*.h")

SET(SHARED_MMB_TARGET MMBlib)
SET(STATIC_MMB_TARGET MMBlib_static)

SET(SHARED_MMB_PYTHON_WRAPPER_TARGET MMB_Python_wrapper)


# Ensure that debug libraries have "_d" appended to their names.
# CMake gets this right on Windows automatically with this definition.
IF (${CMAKE_GENERATOR} MATCHES "Visual Studio")

=== debian/changelog ===
macromoleculebuilder (3.5+dfsg-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build-depend on docbook-xsl so that xsltproc doesn't try to access the
      Internet for the stylesheet. Works around #980930.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 08:43:25 -0800

macromoleculebuilder (3.5+dfsg-4) unstable; urgency=medium

  * Fixing arch: all builds.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Dec 2021 07:54:41 -0500

macromoleculebuilder (3.5+dfsg-3) unstable; urgency=medium

  * Adding missing build dependency on libstb-dev.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Dec 2021 02:01:44 -0500

macromoleculebuilder (3.5+dfsg-2) unstable; urgency=medium

  * Removing unused lintian override.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Dec 2021 01:36:27 -0500

macromoleculebuilder (3.5+dfsg-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * New upstream release 3.5+dfsg
  * Watching GitHub tags.
  * Removing Files-Excluded patterns which no longer match anything.
  * Specifying SimTKmolmodel for CMake.
  * Excluding only 3rdparty/openmm/ from the source tarball.
  * Adding a patch to fix the issue with Lepton location.
  * Adjusting package names due to soversion bump.
  * Ignoring not installed files.
  * Adding versioned depends on libsimtkmolmodel-dev.
  * Build-depends on gemmi-dev.
  * Adding copyright entry for 3rdparty/Lepton1.3/.

  [ lintian-brush ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Nov 2021 07:14:05 -0500

macromoleculebuilder (3.2+dfsg-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against libopenmm7.6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:37:34 +0000

macromoleculebuilder (3.2+dfsg-2ubuntu1) hirsute; urgency=medium

  * Build-depend on docbook-xsl so that xsltproc doesn't try to access the
    internet for the stylesheet. Works around #980930.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 09 Feb 2021 22:51:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: macromoleculebuilder
 Priority: optional
 Section: science
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  asciidoc-base,
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
+ gemmi-dev,
  libopenmm-dev,
  libseqan2-dev,
  libsimbody-dev,
- libsimtkmolmodel-dev,
-Standards-Version: 4.5.0
+ libsimtkmolmodel-dev (>= 3.0.113~),
+ libstb-dev,
+ tao-pegtl-dev,
+ zlib1g-dev,
+Standards-Version: 4.6.0
 Homepage: https://simtk.org/projects/rnatoolbox
 Vcs-Browser: https://salsa.debian.org/debichem-team/macromoleculebuilder
 Vcs-Git: https://salsa.debian.org/debichem-team/macromoleculebuilder.git
@@ -25,7 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmmblib3.2 (= ${binary:Version}),
+ libmmblib3.5 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files of MacroMoleculeBuilder
  MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
@@ -35,7 +40,7 @@
  .
  This package contains the development files.
 
-Package: libmmblib3.2
+Package: libmmblib3.5
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

# Optimization causes segmentation faults, thus turning it off.
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -O0

export SimTK_INSTALL_DIR = /usr

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DOpenMM_INCLUDE_DIR=/usr/include \
		-DSimTKmolmodel=/usr \
		-DCMAKE_CXX_FLAGS="-D BuildNtC -D USE_OPENMM $(CXXFLAGS)"

override_dh_installman:
	a2x -d manpage -f manpage -D debian/tmp debian/MMB.1.asciidoc
	dh_installman

## macromoleculebuilder 4.0.0%2Bdfsg

=== debian/changelog ===
macromoleculebuilder (4.0.0+dfsg-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:02:10 +0000

macromoleculebuilder (4.0.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062681

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 10:59:56 +0000

macromoleculebuilder (4.0.0+dfsg-3) unstable; urgency=medium

  * Fix gemmi 0.6.2 support (Closes: #1037463)
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 23 Jun 2023 01:37:57 -0400

macromoleculebuilder (4.0.0+dfsg-2) unstable; urgency=medium

  * No-changes source-only upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Dec 2022 04:04:16 -0500

macromoleculebuilder (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release 4.0.0+dfsg
  * Mark mmb-common as Multi-Arch: foreign.
  * Exclude whole 3dparty/ directory.
  * Drop no longer needed patches.
  * Install header files in libdevel package.
  * Adjust package names as libmmblib is renamed to libmmb.
  * Turn off Lepton support as OpenMM sources are excluded.

 -- Andrius Merkys <merkys@debian.org>  Mon, 05 Dec 2022 05:00:58 -0500

macromoleculebuilder (3.5+dfsg-6) unstable; urgency=medium

  * Drop forcing C++14 (Closes: #1011108).

 -- Andrius Merkys <merkys@debian.org>  Tue, 17 May 2022 02:01:32 -0400

macromoleculebuilder (3.5+dfsg-5) unstable; urgency=medium

  * Fix compatibility with Gemmi >= 0.5.3 (Closes: #1008380).
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 30 Mar 2022 06:37:26 -0400
